Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.util
Class DiagramXMLWriter

public class DiagramXMLWriter

Field Summary
`final static String` | `APPVERSION`
`final static String` | `APPVERSION_ATTR`
`final static String` | `BRUSH_ELEMENT`
`final static String` | `CLASS_NAME_ATTR`
`final static String` | `COLOR_ATTR`
`final static String` | `COMMENT_ATTR`
`final static String` | `COMPARTMENT_ELEMENT`
`final static String` | `COMPARTMENT_INFO_ELEMENT`
`final static String` | `COMPLETION_TIME_ATTR`
`final static String` | `COMPONENT_ELEMENT`
`final static String` | `CONSTANT_ELEMENT`
`final static String` | `DIAGRAM_CLASS_ATTR`
`final static String` | `DIAGRAM_ELEMENT`
`final static String` | `DIAGRAM_ELEMENT_ATTR`
`final static String` | `DIAGRAM_TYPE_ATTR`
`final static String` | `DML_ELEMENT`
`final static String` | `EDGE_ELEMENT`
`final static String` | `EDGE_ID_ATTR`
`final static String` | `EDGES_ELEMENT`
`final static String` | `EQUATION_ATTR`
`final static String` | `EQUATION_ELEMENT`
`final static String` | `EQUIVALENTNODEGROUP_ELEMENT`
`final static String` | `EXECUTABLE_MODEL_ELEMENT`
`final static String` | `HEIGHT_ATTR`
`final static String` | `HIDE_TITLE_ATTTR`
`final static String` | `ID_ATTR07`
`final static String` | `IMAGE_ELEMENT`
`final static String` | `IN_REF_ATTR`
`final static String` | `IN_REF_ATTR07`
`final static String` | `INITIAL_TIME_ATTR`
`final static String` | `INITIAL_VALUE_ATTR`
`final static String` | `INPORT_ATTR`
`final static String` | `KERNEL_REF_ATTR`
`final static String` | `KERNEL_REF_ATTR07`
`final static String` | `LOCATION_ATTR`
`final static String` | `MODEL_CLASS_ATTR`
`final static String` | `NAME_ATTR`
`final static String` | `NODE_ELEMENT`
`final static String` | `NODES_ELEMENT`
`final static String` | `OUT_REF_ATTR`
`final static String` | `OUT_REF_ATTR07`
`final static String` | `OUTPORT_ATTR`
`final static String` | `OVAL_SHAPE_VALUE`
`final static String` | `PEN_ELEMENT`
`final static String` | `RECTANGLE_SHAPE_VALUE`
`final static String` | `REPRESENTATIVE_ATTR`
`final static String` | `ROLE_ELEMENT`
`final static String` | `SHAPE_ATTR`
`final static String` | `SRC_ATTR`
`final static String` | `TITLE_ATTR`
`final static String` | `UNKNOWN_VALUE`
`final static String` | `VALUE_ATTR`
`final static String` | `VARIABLE_ATTR`
`final static String` | `VARIABLE_ELEMENT`
`final static String` | `VERSION`
`final static String` | `VERSION_ATTR`
`final static String` | `VIEW_ELEMENT`
`final static String` | `VIEWOPTIONS_ELEMENT`
`final static String` | `WIDTH_ATTR`
`final static String` | `X_ATTR`
`final static String` | `Y_ATTR`

Constructor Summary
`DiagramXMLWriter(File outFile)`

Method Summary
`void` | `write(Diagram sourceDiagram)`
`void` | `write(Diagram sourceDiagram, Transformer transformer)`

Field Detail

### APPVERSION

    public final static String APPVERSION

### APPVERSION_ATTR

    public final static String APPVERSION_ATTR

### BRUSH_ELEMENT

    public final static String BRUSH_ELEMENT

### CLASS_NAME_ATTR

    public final static String CLASS_NAME_ATTR

### COLOR_ATTR

    public final static String COLOR_ATTR

### COMMENT_ATTR

    public final static String COMMENT_ATTR

### COMPARTMENT_ELEMENT

    public final static String COMPARTMENT_ELEMENT

### COMPARTMENT_INFO_ELEMENT

    public final static String COMPARTMENT_INFO_ELEMENT

### COMPLETION_TIME_ATTR

    public final static String COMPLETION_TIME_ATTR

### COMPONENT_ELEMENT

    public final static String COMPONENT_ELEMENT

### CONSTANT_ELEMENT

    public final static String CONSTANT_ELEMENT

### DIAGRAM_CLASS_ATTR

    public final static String DIAGRAM_CLASS_ATTR

### DIAGRAM_ELEMENT

    public final static String DIAGRAM_ELEMENT

### DIAGRAM_ELEMENT_ATTR

    public final static String DIAGRAM_ELEMENT_ATTR

### DIAGRAM_TYPE_ATTR

    public final static String DIAGRAM_TYPE_ATTR

### DML_ELEMENT

    public final static String DML_ELEMENT

### EDGE_ELEMENT

    public final static String EDGE_ELEMENT

### EDGE_ID_ATTR

    public final static String EDGE_ID_ATTR

### EDGES_ELEMENT

    public final static String EDGES_ELEMENT

### EQUATION_ATTR

    public final static String EQUATION_ATTR

### EQUATION_ELEMENT

    public final static String EQUATION_ELEMENT

### EQUIVALENTNODEGROUP_ELEMENT

    public final static String EQUIVALENTNODEGROUP_ELEMENT

### EXECUTABLE_MODEL_ELEMENT

    public final static String EXECUTABLE_MODEL_ELEMENT

### HEIGHT_ATTR

    public final static String HEIGHT_ATTR

### HIDE_TITLE_ATTTR

    public final static String HIDE_TITLE_ATTTR

### ID_ATTR07

    public final static String ID_ATTR07

### IMAGE_ELEMENT

    public final static String IMAGE_ELEMENT

### IN_REF_ATTR

    public final static String IN_REF_ATTR

### IN_REF_ATTR07

    public final static String IN_REF_ATTR07

### INITIAL_TIME_ATTR

    public final static String INITIAL_TIME_ATTR

### INITIAL_VALUE_ATTR

    public final static String INITIAL_VALUE_ATTR

### INPORT_ATTR

    public final static String INPORT_ATTR

### KERNEL_REF_ATTR

    public final static String KERNEL_REF_ATTR

### KERNEL_REF_ATTR07

    public final static String KERNEL_REF_ATTR07

### LOCATION_ATTR

    public final static String LOCATION_ATTR

### MODEL_CLASS_ATTR

    public final static String MODEL_CLASS_ATTR

### NAME_ATTR

    public final static String NAME_ATTR

### NODE_ELEMENT

    public final static String NODE_ELEMENT

### NODES_ELEMENT

    public final static String NODES_ELEMENT

### OUT_REF_ATTR

    public final static String OUT_REF_ATTR

### OUT_REF_ATTR07

    public final static String OUT_REF_ATTR07

### OUTPORT_ATTR

    public final static String OUTPORT_ATTR

### OVAL_SHAPE_VALUE

    public final static String OVAL_SHAPE_VALUE

### PEN_ELEMENT

    public final static String PEN_ELEMENT

### RECTANGLE_SHAPE_VALUE

    public final static String RECTANGLE_SHAPE_VALUE

### REPRESENTATIVE_ATTR

    public final static String REPRESENTATIVE_ATTR

### ROLE_ELEMENT

    public final static String ROLE_ELEMENT

### SHAPE_ATTR

    public final static String SHAPE_ATTR

### SRC_ATTR

    public final static String SRC_ATTR

### TITLE_ATTR

    public final static String TITLE_ATTR

### UNKNOWN_VALUE

    public final static String UNKNOWN_VALUE

### VALUE_ATTR

    public final static String VALUE_ATTR

### VARIABLE_ATTR

    public final static String VARIABLE_ATTR

### VARIABLE_ELEMENT

    public final static String VARIABLE_ELEMENT

### VERSION

    public final static String VERSION

### VERSION_ATTR

    public final static String VERSION_ATTR

### VIEW_ELEMENT

    public final static String VIEW_ELEMENT

### VIEWOPTIONS_ELEMENT

    public final static String VIEWOPTIONS_ELEMENT

### WIDTH_ATTR

    public final static String WIDTH_ATTR

### X_ATTR

    public final static String X_ATTR

### Y_ATTR

    public final static String Y_ATTR

Constructor Detail

### DiagramXMLWriter

    public DiagramXMLWriter(File outFile)

Method Detail

### write

    public void write(Diagram sourceDiagram)
                throws java.lang.Exception

### write

    public void write(Diagram sourceDiagram, Transformer transformer)
                throws java.lang.Exception

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.io.File

to Class biouml.model.Diagram

to Class org.w3c.dom.Document

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM